<?php
/**
 * To remove core action with hook after_setup_theme
 *
 * @since 1.0.0
 * @version 1.0.0
 * @package Ayyash
 * @author ThemeOO
 */

if ( ! defined( 'ABSPATH' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	die();
}

add_action( 'after_setup_theme', 'themeoo_woocommerce_init' );

add_filter( 'init', 'themeoo_remove_wc_breadcrumbs' );
add_filter( 'loop_shop_columns', 'themeoo_loop_columns', 999 );
add_filter( 'loop_shop_per_page', 'themeoo_loop_shop_per_page', 20 );
add_filter( 'woocommerce_show_page_title', 'themeoo_wc_hide_page_title' );
add_action( 'woocommerce_before_shop_loop', 'themeoo_wc_remove_result_count' );
add_action( 'woocommerce_before_shop_loop', 'themeoo_wc_remove_archive_short', 12 );

add_filter( 'wp_nav_menu_items', 'themeoo_mini_cart', 10, 2 );
add_filter( 'woocommerce_add_to_cart_fragments', 'themeoo_iconic_cart_count_fragments' );

add_filter( 'woocommerce_upsell_display_args', 'themeoo_wc_upsell_display_args' );
add_filter( 'woocommerce_output_related_products_args', 'themeoo_wc_related_products_limit' );
add_filter( 'woocommerce_cross_sells_total', 'themeoo_cart_cross_sell_total' );

add_filter( 'woocommerce_output_related_products_args', 'themeoo_change_number_related_products', 9999 );

add_filter( 'woocommerce_get_image_size_gallery_thumbnail', 'themeoo_wc_gallery_thumb_size' );

/**
 * ----------------------------------------------------------------------
 * Theme Hook for the layout
 *----------------------------------------------------------------------*/

// before after markup for theme.
add_action( 'woocommerce_before_main_content', 'themeoo_woocommerce_before_main_content' );
add_action( 'woocommerce_after_main_content', 'themeoo_woocommerce_after_main_content' );

add_action( 'woocommerce_before_shop_loop_item_title', 'themeoo_display_sold_out_loop_woocommerce' );

remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_meta', 40 );
add_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_meta', 60 );


add_action( 'themeoo_woocommerce_show_product_loop_before_product_body', 'woocommerce_show_product_loop_sale_flash', 11 );

add_filter( 'themeoo_woocommerce_show_stock_product_loop_before_product_body', 'themeoo_woocommerce_new_badge', 100 );

add_action( 'woocommerce_before_sale_coundown', 'themeoo_sale_countdown_timer', 13 );

add_filter( 'woocommerce_product_get_rating_html', 'themeoo_filter_product_rating_html', 10, 1 );

add_filter( 'woocommerce_dropdown_variation_attribute_options_html', 'themeoo_variation_radio_buttons', 20, 2 );
add_filter( 'woocommerce_variation_is_active', 'themeoo_variation_check', 10, 2 );

// End of file themeoo-woocommerce-hook.php
